package com.yushu.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.yushu.system.mapper.AiModelConfigMapper;
import com.yushu.system.domain.AiModelConfig;
import com.yushu.system.service.IAiModelConfigService;

@Service
public class AiModelConfigServiceImpl implements IAiModelConfigService {
    @Autowired
    private AiModelConfigMapper configMapper;

    @Override
    public AiModelConfig selectAiModelConfigByConfigId(Long configId) {
        return configMapper.selectAiModelConfigByConfigId(configId);
    }

    @Override
    public List<AiModelConfig> selectAiModelConfigList(AiModelConfig aiModelConfig) {
        return configMapper.selectAiModelConfigList(aiModelConfig);
    }

    @Override
    public int insertAiModelConfig(AiModelConfig aiModelConfig) {
        return configMapper.insertAiModelConfig(aiModelConfig);
    }

    @Override
    public int updateAiModelConfig(AiModelConfig aiModelConfig) {
        return configMapper.updateAiModelConfig(aiModelConfig);
    }

    @Override
    public int deleteAiModelConfigByConfigIds(Long[] configIds) {
        return configMapper.deleteAiModelConfigByConfigIds(configIds);
    }
}

